Fetch Withdrawal By ID
curl --request GET \
--url https://api.breet.io/v1/payments/withdrawal/{id} \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>'import requests
url = "https://api.breet.io/v1/payments/withdrawal/{id}"
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>'
}
};
fetch('https://api.breet.io/v1/payments/withdrawal/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "data fetched",
"success": true,
"data": {
"id": "697251ed397a53d0cb7b228b",
"amount": 25,
"originalAmount": 25,
"currency": "usd",
"status": "pending",
"reference": "697251ed397a53d0cb7b228b",
"externalId": "your-unique-ref",
"fee": 10,
"meta": {
"walletAddress": "14grJpemFaf88c8tiVb77W7TYg2W3ir6pfkKz3YjhhZ5",
"network": "SOL",
"token": "USDT",
"assetId": "SOL_USDT_EWAY",
"type": "address",
"symbol": "USDT",
"avatar": "https://assets.breet.io/token-network-assets/USDT_SOL.png",
"label": "",
"txLink": "https://solscan.io/tx/"
},
"reason": "",
"createdAt": "2026-01-22T16:35:57.875Z",
"updatedAt": "2026-01-22T16:35:57.875Z"
},
"meta": {},
"summary": {},
"stats": {}
}Withdrawals
Fetch Withdrawal By ID
Retrieve a withdrawal by its ID or external ID
GET
/
payments
/
withdrawal
/
{id}
Fetch Withdrawal By ID
Authorizations
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
Path Parameters
Withdrawal ID, or the externalId provided when creating it.
Response
Withdrawal details returned successfully
Was this page helpful?
⌘I